Bug 832727 - Review Request: python-django-addons - A framework to create pluggable Django add-ons
Review Request: python-django-addons - A framework to create pluggable Django...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 736776
  Show dependency treegraph
 
Reported: 2012-06-16 17:14 EDT by Domingo Becker
Modified: 2012-07-19 18:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-19 18:15:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bkabrda: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Domingo Becker 2012-06-16 17:14:13 EDT
Spec URL: http://beckerde.fedorapeople.org/transifex/python-django-addons.spec
SRPM URL: http://beckerde.fedorapeople.org/transifex/python-django-addons-0.6.4-6.fc18.src.rpm
Description: A Django app used to add true plug-n-play functionality to your own Django 
applications and projects.
Fedora Account System Username: beckerde
Comment 1 Bohuslav "Slavek" Kabrda 2012-07-12 08:45:44 EDT
I'll take this one.
Comment 2 Bohuslav "Slavek" Kabrda 2012-07-12 08:54:08 EDT
- I think that BR: python-setuptools-devel should be python-setuptools, shouldn't it?
- rpmlint is reporting filesize mismatch. Could you redownload the package and create new SRPM?

python-django-addons.src: W: file-size-mismatch django-addons-0.6.4.tar.gz = 15567, http://pypi.python.org/packages/source/d/django-addons/django-addons-0.6.4.tar.gz = 15958

- There are some things that are only needed for EPEL 5, do you plan to build your package there, too? Otherwise you can remove them: BuildRoot tag, %clean section, rm -rf $RPM_BUILD_ROOT, %defattr(-,root,root,-)

Otherwise the package looks good, so once you fix these issues, please post the updated SPEC/SRPM here so I can have a final look and approve the package.
Comment 3 Domingo Becker 2012-07-12 12:58:19 EDT
(In reply to comment #2)
> - I think that BR: python-setuptools-devel should be python-setuptools,
> shouldn't it?
> - rpmlint is reporting filesize mismatch. Could you redownload the package
> and create new SRPM?
> 
> python-django-addons.src: W: file-size-mismatch django-addons-0.6.4.tar.gz =
> 15567,
> http://pypi.python.org/packages/source/d/django-addons/django-addons-0.6.4.
> tar.gz = 15958
> 

Fixed. 

> - There are some things that are only needed for EPEL 5, do you plan to
> build your package there, too? Otherwise you can remove them: BuildRoot tag,
> %clean section, rm -rf $RPM_BUILD_ROOT, %defattr(-,root,root,-)
> 

Fixed.

New spec and srpm:

Spec URL: http://beckerde.fedorapeople.org/transifex/python-django-addons.spec
SRPM URL: http://beckerde.fedorapeople.org/transifex/python-django-addons-0.6.4-7.fc18.src.rpm
Comment 4 Bohuslav "Slavek" Kabrda 2012-07-13 01:27:37 EDT
There is one more line that can be removed: "BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)". Please remove it before commiting to dist-git.

Otherwise everything looks good, this package is APPROVED.
Comment 5 Domingo Becker 2012-07-17 17:53:53 EDT
New Package SCM Request
=======================
Package Name: python-django-addons
Short Description: A framework to create pluggable Django add-ons
Owners: beckerde 
Branches: 
InitialCC: diegobz
Comment 6 Gwyn Ciesla 2012-07-17 23:22:00 EDT
Git done (by process-git-requests).
Comment 7 Domingo Becker 2012-07-19 18:15:02 EDT
(In reply to comment #4)
> There is one more line that can be removed: "BuildRoot:     
> %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)". Please
> remove it before commiting to dist-git.
> 
> Otherwise everything looks good, this package is APPROVED.

Done.

Many thanks.

Note You need to log in before you can comment on or make changes to this bug.